function Create(self)
	--Last velocity.
	self.lastVel = Vector(self.Vel.X,self.Vel.Y);
	
	--Maximum change in velocity before freezing.
	self.maxchange = 10;
end

function Update(self)
	--If there's a sudden change in velocity, freeze.
	if math.abs(self.lastVel.X - self.Vel.X) > self.maxchange or math.abs(self.lastVel.Y - self.Vel.Y) > self.maxchange then
		self.PinStrength = 1000;
	end

	--Don't rest.
	self:NotResting();
	self.ToSettle = false;
	
	--Don't delete.
	self.ToDelete = false;
	
	--Update last velocity.
	self.lastVel = Vector(self.Vel.X,self.Vel.Y);
end