function Update(self)
	--Get the inventory.
	local weps = {};
	local types = {};

	--Get the weapon that is currently held.
	for i=1,MovableMan:GetMOIDCount()-1 do
		local mo = MovableMan:GetMOFromID(i);
		if mo.RootID == self.ID and mo:IsHeldDevice() then
			weps[1] = ToHeldDevice(mo);
			types[1] = weps[1].ClassName;
		end
	end

	--print("About to check for weps");
	
	if weps[1] then

	
		--Get the rest of the weapons.
		local i = 3;
		weps[2] = self:Inventory();
		if weps[2] then
			--Get the weapon type.
			types[2] = weps[2].ClassName;
			local loop = 1;
			--Cycle through the inventory.
			while loop == 1 do
				print("looped");
				self:SwapNextInventory(self:Inventory(),true);
				if self:Inventory() then
					print("found inventory");
					weps[i] = self:Inventory();
					types[i] = weps[i].ClassName;
				end
				if weps[i].PresetName == weps[2].PresetName then
					print("ending loop");
					loop = 0;
				end
				i = i + 1;
			end
		end
		--There will be a repeat of the first one, so remove it.
		weps[i-1] = nil;
		
		--Make the new actor.
		local weptype = nil;
		if weps[1] then
			weptype = string.sub(weps[1].PresetName,1,5);
		else
			weptype = "Standard";
		end
		local newactor = CreateAHuman(self.PresetName .. " " .. weptype);
		if newactor == nil then
			newactor = CreateAHuman(self.PresetName .. " Standard");
		end
		newactor.Team = self.Team;
		newactor.Pos = self.Pos;
		newactor.Vel = self.Vel;
		newactor.HFlipped = self.HFlipped;
		--Add the actor's inventory.
		for i=1,#weps do
			local wep = nil;
			if types[i] == "HDFirearm" then
				wep = CreateHDFirearm(weps[i].PresetName);
			elseif types[i] == "TDExplosive" then
				wep = CreateTDExplosive(weps[i].PresetName);
			elseif types[i] == "HeldDevice" then
				wep = CreateTDExplosive(weps[i].PresetName);
			end
			if wep ~= nil then
				newactor:AddInventoryItem(wep);
			end
		end
		newactor.AIMode = Actor.AIMODE_SENTRY;
		MovableMan:AddActor(newactor);
		--Remove self.
		self.ToDelete = true;
		--Don't count this as a kill.
		ActivityMan:GetActivity():ReportDeath(self.Team,-1);

	end
end